class MSB2DCharEdController extends MSBController;

var MSBSpritePawn myReferencePawn;

var() array<string> Animations;

var MSBSpriteTextureButton States[3];
var MSBHeadTextureButton HeadSetup;
var bool bHead;

state TwoDeeCharEd
{
  function PlayerTick(float DeltaTime)
  {
  global.playerTick(DeltaTime);
  //2D Positioning
  if (Mouse!=None && !Mouse.bTyping)
   {
    Mouse.xPos+=DeltaTime*MouseSens*aMouseX+aStrafe/6000;
    Mouse.yPos-=DeltaTime*MouseSens*aMouseY+aForward/6000;
    }
  }

Begin:
 if (MInteract==None)
   {
   Player.InteractionMaster.AddInteraction("MSBCode.MSBInterAction", Player);
   bHasInteraction=true;
   Mouse=MSBHud(myHud).MouseOverlay;
   MInteract.Mouse=MSBHud(myHud).MouseOverlay;
   Log("PlayerController spawns an Interaction");
   }
 Setup();
}

function Setup()
{

myReferencePawn=Spawn(class'MSBSpritePawn',,,Location*0);
myReferencePawn.bEdit=true;
myReferencePawn.MoveTarget=myReferencePawn;
myReferencePawn.SetPhysics(PHYS_None);
myReferencePawn.SetRotation(rotator(Location-myReferencePawn.Location));

if (bHead)
  showHeadPart();

states[0]=Spawn(class'MSBSpriteTextureButton',myReferencePawn);
states[0].xPosRel=64;
states[0].yPosRel=32;
states[0].sP=myReferencePawn;
states[0].BtnName="Idle";
states[0].StateName='Idle';
states[0].initPropButton();

states[1]=Spawn(class'MSBSpriteTextureButton',myReferencePawn);
states[1].xPosRel=64;
states[1].yPosRel=192;
states[1].sP=myReferencePawn;
states[1].BtnName="Move";
states[1].StateName='Move';
states[1].initPropButton();

states[2]=Spawn(class'MSBSpriteTextureButton',myReferencePawn);
states[2].xPosRel=64;
states[2].yPosRel=352;
states[2].sP=myReferencePawn;
states[2].BtnName="Animation";
states[2].StateName='Anim';
states[2].initPropButton();
}

function showHeadPart()
{
HeadSetup=Spawn(class'MSBHeadTextureButton',self);
HeadSetup.xPos=600*screenX/768;
HeadSetup.yPos=32*screenY/1024;
HeadSetup.sP=myReferencePawn;
HeadSetup.initPropButton();
}

function cleanupHeadPart()
{
Headsetup.deSelect();
if (myreferencePAwn.Head!=None)
  myreferencePawn.Head.Destroy();
Headsetup.Destroy();
}

exec function toggleHead()
{
bHead=!bHead;
if (bHead)
  showHeadPart();
else
  cleanupHeadPart();
}


exec function placeMSBActor(string SpawnActorClassName);

defaultproperties
{
bHead=false
}
