class MSBAction_SetPose extends ScriptedAction;

var MSBAniKey PoseKey[63];
var float BlendTime;
var bool addPose;
var Actor KeyActor;
var int maxBones;
var vector OriginOffset;

function bool InitActionFor(ScriptedController C)
{
 local int i;
 local MSBInterpolationHelper IH;

 if (KeyActor.IsA('MSBFullRig'))
   maxBones=63;
 else
   maxBones=26;

// local rotator KeyRotation;

//MSBPawn(KeyActor).iniPosing();

 if (BlendTime==0)
   {
   for (i=0;i<maxBones;i++)
     {
     PoseKey[i].KeyActor=KeyActor;
     PoseKey[i].changeBoneLocation();
     PoseKey[i].changeBoneRotation();
     }
   }
 else
   {
   for (i=0;i<maxBones;i++)
     {
     PoseKey[i].KeyActor=KeyActor;
     IH=C.Spawn(class'MSBInterpolationHelper');
     IH.TargetKey=PoseKey[i];
     if (i==0)
       IH.TargetKey.OriginOffset=OriginOffset;
     IH.blendTime=BlendTime;
     IH.initializePoseTween();
     }
   }
 return false;
}


