//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBLevelSelectButton extends MSBPropertyButtonText;


event PostBeginPlay()
{
super.PostBeginPlay();
Parent=M;
Value=MSBMainMenuController(M).editLevel;
}

function initButton(Canvas C)
{
C.Font=Font(DynamicLoadObject(FontNameMedium, class'Font'));
C.FontScaleX=0.8;
C.FontScaleY=0.8;


C.SetPos(xpos+width,ypos);
C.SetDrawColor(col.R,col.G, col.B, col.A);
C.SetPos(xPos,yPos);
if (Mat!=None)
    C.DrawTile(Mat,width,height,0,0,U,V);
C.SetPos(xPos+width+16,yPos);
if (hasClicked && Mouse.bTyping)
 {
 Value=Mouse.TextInput;
 C.DrawText(Value);
 C.SetPos(xPos,yPos);
 }
}


function LeftBtnFinished(Canvas C)
{
super.LeftBtnFinished(C);
M.SaveConfig();
}

DefaultProperties
{
widthRel=128
heightRel=32
Mat=Texture'MoviesandboxTextures.Icons.editLevel'
BtnName=""
tooltip=""
Property="editLevel"
tooltipcol=(R=0,G=0,B=0)
}
