class MSBBlockBrush extends MSBActor;

var MSBMasterBlock Master;
var string ObjectName;
var byte red, green, blue;
var bool bSave, bLoad;
var string ShaderName;
var class<MSBVoxelShader> ShaderClass;

event PostBeginPlay()
{
super.PostBeginPlay();
SetCollisionSize(drawScale*5,drawScale*5);
}

event Trigger(Actor Other, Pawn Eventinstigator)
{
local int i;
local colorModifier cm;
SetCollisionSize(drawScale*5,drawScale*5);

SetColor();

if (Other!=None  && Master!=None && (Other.IsA('MSBBrushSpecial') || Other.IsA('MSBHud')) )
  {
  Master.S[Master.S.length]=Spawn(class'MSBsimpleBlock',self);
  Master.S[Master.S.length-1].bEdit=true;
  Master.S[Master.S.length-1].SetDrawScale(DrawScale);
  Master.S[Master.S.length-1].SetDrawScale3D(DrawScale3D);
  cm=new() class'ColorModifier';
  cm.Material=ColorModifier(Skins[0]).Material;
  Master.S[Master.S.length-1].Skins[0]=cm;
  ColorModifier(Master.S[Master.S.length-1].Skins[0]).Color=ColorModifier(Skins[0]).Color;
  Master.S[Master.S.length-1].SetRotation(Master.Rotation);
  Master.S[Master.S.length-1].SetRelativeLocation(Location-Master.Location) ;
  Master.AttachToBone(Master.S[Master.S.length-1],'');
  Master.S[Master.S.length-1].M=Master;
  if (ShaderClass!=None)
    {
    Master.S[Master.S.length-1].shader= new shaderClass;
    Master.S[Master.S.length-1].shader.Parent=Master.S[Master.S.length-1];
    }
  }

if (Other==None)
  {
  for (i=0;i<Master.S.length;i++)
    if (Abs(Master.S[i].Location.X-Location.X)<1 && Abs(Master.S[i].Location.Y-Location.Y)<1 && Abs(Master.S[i].Location.Z-Location.Z)<1)
      {
      Master.S[i].Destroy();
      Master.S.Remove(i,1);
      }
  }

if (ShaderName!="" && ("MSBVoxelShader."$ShaderName)!=string(ShaderClass))
  ShaderClass=class<MSBVoxelShader>(DynamicLoadObject("MSBVoxelShader."$ShaderName,class'Class'));
}

function SetColor()
{
ColorModifier(Skins[0]).Color.R=Red;
ColorModifier(Skins[0]).Color.G=Green;
ColorModifier(Skins[0]).Color.B=Blue;
}

defaultproperties
{
ButtonList(0)="MSBPropertyButtons.MSBPropertyButtonGrowBrush"
Properties(0)="Dummy"
ButtonList(1)="MSBPropertyButtons.MSBPropertyButtonShrinkBrush"
Properties(1)="Dummy"
ButtonList(2)="MSBPropertyButtons.MSBPropertyButtonMasterSelect"
Properties(2)="Dummy"
ButtonList(3)="MSBPropertyButtons.MSBPropertyButtonClearMaster"
Properties(3)="Dummy"
ButtonList(4)="MSBPropertyButtons.MSBPropertyButtonFillMaster"
Properties(4)="Dummy"
ButtonList(5)="MSBPropertyButtons.MSBPropertyButtonText"
Properties(5)="ShaderName"




Green=255;
DrawType=DT_StaticMesh
Skins(0)=Material'MovieSandboxTextures.Green'
StaticMesh=StaticMesh'MoviesandboxMeshes.helperMeshes.CubeWhiteCentered'
drawscale=1.0
bStatic=false
bNoDelete=false
bHidden=false
AmbientGlow=16
ObjectName="head"
}
