class MSBKActor extends KActor;

var bool bMove;
var() vector loc;
var KRigidBodyState myRBState,oldRBState;


function Tick(float DeltaTime)
{
if (bMove)
  {
  myRBState.Position.X=loc.X+oldRBState.Position.X;
  myRBState.Position.Y=loc.Y+oldRBState.Position.Y;
  myRBState.Position.Z=loc.Z+oldRBState.Position.Z;

  KUpdateState(myRBState);
  }
}

event bool KUpdateState(out KRigidBodyState newState)
{
newState=myRBState;
return true;
}

simulated event TriggerEvent(Name EventName,Actor Other,Pawn EventInstigator)
{
if (EventName=='RunMovie')
  {
  SetPhysics(PHYS_Karma);
  KGetRigidBodyState(myRBState);
  oldRBState=myRBState;
  bMove=true;
  }

if (EventName=='StopMovie')
  SetPhysics(PHYS_None);

}

defaultproperties
{
bStatic=false
bNoDelete=false
Physics=PHYS_None
DrawType=DT_StaticMesh
StaticMesh=StaticMesh'BulldogMeshes.Simple.S_RearWheel'
DrawScale= 0.05
CollisionHeight=8
CollisionRadius=8
ImpactInterval=0.001000
    Begin Object Class=KarmaParamsRBFull Name=KarmaParamsRBFull1
        KLinearDamping=0.2000000
        KMass=1
        KActorGravScale=0
        KStartEnabled=True
        bHighDetailOnly=False
        bKAllowRotate=True
//        bKDoubleTickRate=true
//        bDoSafetime=true
        KFriction=0.0100000
        KRestitution=0.8000000
        KImpactThreshold=0.000000
    End Object
KParams=KarmaParamsRBFull'KarmaParamsRBFull1'

}
