class MSBMasterBlock extends MSBActor;

var name attachBoneName;
var Actor P;
var array<MSBsimpleBlock> S;
var int BoneNumber;
var int blockamount;
var vector edScale;

function PostBeginPlay()
{
super.PostBeginPlay();
//ButtonList.Remove(5,ButtonList.length-5);
if (Owner!=None)
  P=Owner;
}

function Tick(float DeltaTime)
{
local vector BoneLoc;
local Rotator BoneRot;

if (P!=None)
  {
  if (bDisplayed)
    bHidden=P.bHidden;
  else
    bHidden=true;

  if (BoneNumber>-1)
    getBoneVector(BoneNumber, BoneLoc, BoneRot);
  else
    {
    boneLoc=P.Location;
    boneRot=P.Rotation;
    }
  SetLocation(boneLoc+RelativeLocation);
  SetRotation(boneRot+RelativeRotation);
  }
}

function clearBlocks()
{
local int i;
for (i=0;i<S.length;i++)
  S[i].Destroy();
S.Remove(0,S.length);
}

function getBoneVector(int BoneNumber, out vector boneLoc, out rotator BoneRot)
{
switch (BoneNumber)
 {
 case 0:
   boneLoc=P.GetBoneCoords('Bip01').Origin;
   boneRot=P.GetBoneRotation('Bip01');
   break;
 case 1:
   boneLoc=P.GetBoneCoords('Bip01 Pelvis').Origin;
   boneRot=P.GetBoneRotation('Bip01 Pelvis');
   break;
 case 2:
   boneLoc=P.GetBoneCoords('bip01 Spine').Origin;
   boneRot=P.GetBoneRotation('bip01 Spine');
   break;
 case 3:
   boneLoc=P.GetBoneCoords('bip01 Spine1').Origin;
   boneRot=P.GetBoneRotation('bip01 Spine1');
   break;
 case 4:
   boneLoc=P.GetBoneCoords('bip01 Spine2').Origin;
   boneRot=P.GetBoneRotation('bip01 Spine2');
   break;
 case 5:
   boneLoc=P.GetBoneCoords('Bip01 Neck').Origin;
   boneRot=P.GetBoneRotation('Bip01 Neck');
   break;
 case 6:
   boneLoc=P.GetBoneCoords('Bip01 R Clavicle').Origin;
   boneRot=P.GetBoneRotation('Bip01 R Clavicle');
   break;
 case 7:
   boneLoc=P.GetBoneCoords('Bip01 R UpperArm').Origin;
   boneRot=P.GetBoneRotation('Bip01 R UpperArm');
   break;
 case 8:
   boneLoc=P.GetBoneCoords('Bip01 R Forearm').Origin;
   boneRot=P.GetBoneRotation('Bip01 R Forearm');
   break;
 case 9:
   boneLoc=P.GetBoneCoords('Bip01 R Hand').Origin;
   boneRot=P.GetBoneRotation('Bip01 R Hand');
   break;
 case 10:
   boneLoc=P.GetBoneCoords('Bip01 R Finger').Origin;
//   boneRot=P.GetBoneRotation('Bip01 R Finger');
   break;
 case 11:
   boneLoc=P.GetBoneCoords('Bone_weapon').Origin;
   boneRot=P.GetBoneRotation('Bone_weapon');
   break;
 case 12:
  boneLoc=P.GetBoneCoords('Bip01 L Clavicle').Origin;
  boneRot=P.GetBoneRotation('Bip01 L Clavicle');
   break;
 case 13:
  BoneLoc=P.GetBoneCoords('Bip01 L UpperArm').Origin;
  boneRot=P.GetBoneRotation('Bip01 L UpperArm');
   break;
 case 14:
  boneLoc=P.GetBoneCoords('Bip01 L Forearm').Origin;
  boneRot=P.GetBoneRotation('Bip01 L Forearm');
   break;
 case 15:
  boneLoc=P.GetBoneCoords('Bip01 L Hand').Origin;
  boneRot=P.GetBoneRotation('Bip01 L Hand');
   break;
 case 16:
  boneLoc=P.GetBoneCoords('Bip01 L Finger').Origin;
//  boneRot=P.GetBoneRotation('Bip01 L Finger');
   break;

 case 17:
  boneLoc=P.GetBoneCoords('bip01 R Thigh').Origin;
  boneRot=P.GetBoneRotation('bip01 R Thigh');
   break;
 case 18:
  boneLoc=P.GetBoneCoords('Bip01 R Calf').Origin;
  boneRot=P.GetBoneRotation('Bip01 R Calf');
   break;
 case 19:
  boneLoc=P.GetBoneCoords('Bip01 R Foot').Origin;
  boneRot=P.GetBoneRotation('Bip01 R Foot');
   break;
 case 20:
  boneLoc=P.GetBoneCoords('Bip01 R Toe0').Origin;
  boneRot=P.GetBoneRotation('Bip01 R Toe0');
   break;

 case 21:
  boneLoc=P.GetBoneCoords('bip01 L Thigh').Origin;
  boneRot=P.GetBoneRotation('bip01 L Thigh');
   break;
 case 22:
  boneLoc=P.GetBoneCoords('Bip01 L Calf').Origin;
  boneRot=P.GetBoneRotation('Bip01 L Calf');
   break;
 case 23:
  boneLoc=P.GetBoneCoords('Bip01 L Foot').Origin;
  boneRot=P.GetBoneRotation('Bip01 L Foot');
   break;
 case 24:
  boneLoc=P.GetBoneCoords('Bip01 L Toe0').Origin;
  boneRot=P.GetBoneRotation('Bip01 L Toe0');
   break;
 case 25:
  boneLoc=P.GetBoneCoords('Bip01 Head').Origin;
  boneRot=P.GetBoneRotation('Bip01 Head');
  break;
 }
}

function Reset();

defaultproperties
{
ButtonList(0)="MSBPropertyButtons.MSBPropertyButtonLoadPartsList"
Properties(0)="Load"
ButtonList(1)="MSBPropertyButtons.MSBPropertyButtonSavePartsList"
Properties(1)="Save"
ButtonList(2)="MSBVoxelCharacterEditor.MSBPropertyButtonPaintPart"
Properties(2)="Paint"
ButtonList(3)="MSBPropertyButtons.MSBPropertyButtonCommand"
Properties(3)="ClearBlock"
ButtonList(4)="MSBVoxelCharacterEditor.MSBPropertyButtonTrace"
Properties(4)="Trace"
ButtonList(5)="MSBVoxelCharacterEditor.MSBPropertyButtonSetShader"
Properties(5)="Shade"


DrawType=DT_StaticMesh
Skins(0)=Material'MoviesandboxTextures.grey'
StaticMesh=StaticMesh'MoviesandboxMeshes.helperMeshes.CubeWhiteSided'
bStatic=false
bNoDelete=false
bHidden=false
drawScale=0.25
AmbientGlow=16
CollisionRadius=1.0
CollisionHeight=1.0
bCollideWorld=false
bUseCylinderCollision=false
bUseCollisionStaticMesh=true
}
