//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBMouthBlock extends MSBSimpleBlock;

var Material MouthSkinOpen;
var Material MouthSkinClosed;
var () float wideness;
var array<MSBsimpleBlock> MB;
var array<vector> dist;
var bool bInit;

event initMouth()
{
local int i,j;

//find adjacent blocks
  for (i=0; i<M.S.length;i++)
  {
  dist[i]=M.S[i].RelativeLocation-relativeLocation;
  Log(dist[i]);
  if (VSize(dist[i])<wideness)
    MB[j++]= M.S[i];
  }
bInit=true;
Log("Mouth initialised on MasterBone"@M);
}

event Talk()
{
local int i;

Skins[0]=MouthSkinOpen;
SetTimer(0.2,false);

if (!bInit)
  initMouth();

//close
for (i=0;i<MB.length;i++)
  {
  MB[i].SetRelativeLocation(MB[i].iniRelLocation-normal(dist[i])*5);
  MB[i].iniRelLocation=MB[i].RelativeLocation;
  }

//open
for (i=0;i<MB.length;i++)
  {
  MB[i].SetRelativeLocation(MB[i].iniRelLocation+normal(dist[i])*5);
  MB[i].iniRelLocation=MB[i].RelativeLocation;
  }
}

function Timer()
{
local int i;

Skins[0]=MouthSkinClosed;
SetRelativeLocation(iniRelLocation);

//close
for (i=0;i<MB.length;i++)
  MB[i].SetRelativeLocation(MB[i].iniRelLocation-normal(dist[i])*5);
}


DefaultProperties
{
MouthSkinOpen=Material'MovieSandboxTextures.White'
MouthSkinClosed=Material'MovieSandboxTextures.Black'
wideness=20
}
