//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBvrCamera extends MSBCamera;

const bufferlength=12;
var MSBUdpLink myUDP;
var vector loc[bufferlength], loc2[bufferlength];

event PostBeginPlay()
{
super.PostBeginPlay();
myUDP= spawn (class'MSBUdpLink',self);
myUDP.InitUdpLink(51840);
}

event Trigger(Actor Other,Pawn eventInstigator)
{
local vector pOne,pTwo, xA,yA,zA;
local float pOneX,pOneY,pOneZ,pTwoX,pTwoY,pTwoZ;
local int i;

Log("Triggered!");

if (Other.IsA('MSBUdpLink') && bHidden)
  {
  GetAxes(BaseRotation,xA,yA,zA);

  for (i=0;i<bufferlength-1;i++)
    {
    loc[i]=loc[i+1];
    loc2[i]=loc2[i+1];
    }

//first tracking point

  //different coordinate system in Unreal!
  loc[bufferlength-1].x=-(myUDP.byteData[0]-128)*2;
  loc[bufferlength-1].y=(myUDP.byteData[2]-128)*2;
  loc[bufferlength-1].z=(myUDP.byteData[1])*2;


  for (i=0;i<bufferlength;i++)
    {
    pOneX+=loc[i].x;
    pOneY+=loc[i].y;
    pOneZ+=loc[i].Z;
    }

  pOneX=pOneX/bufferlength;
  pOneY=pOneY/bufferlength;
  pOneZ=pOneZ/bufferlength;

  pOne.X=pOneX;
  pOne.Y=pOneY;
  pOne.Z=pOneZ;


//second tracking point

  loc2[bufferlength-1].x=-(myUDP.byteData[3]-128)*2;
  loc2[bufferlength-1].y=(myUDP.byteData[5]-128)*2;
  loc2[bufferlength-1].z=(myUDP.byteData[4])*2;

//physical distance between first and second tracking point!
  loc2[bufferlength-1].X+= 10;

  for (i=0;i<bufferlength;i++)
    {
    pTwoX+=loc2[i].X;
    pTwoY+=loc2[i].Y;
    pTwoZ+=loc2[i].Z;
    }

  pTwoX=pTwoX/bufferlength;
  pTwoY=pTwoY/bufferlength;
  pTwoZ=pTwoZ/bufferlength;

  pTwo.X=pTwoX;
  pTwo.Y=pTwoY;
  pTwo.Z=pTwoZ;

  if (ViewTarget==None)
    SetRotation(rotator(pTwo-pOne)+BaseRotation);
  SetLocation(initialLocation+pOne.X*xA+pOne.Y*yA+(pOne.Z)*vect(0,0,1));
  }
}

DefaultProperties
{
//bDisplayed=true
}
