//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBVoxelEdPartLoadButton extends MSBListButton;


var MSBVoxelEdController CC;
var string loadName;

event PostBeginPlay()
{
local int i;
super.PostBeginPlay();
CC=MSBVoxelEdController(M);
for (i=0;i<M.saveCharParts.length;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonAssign";
}

function LeftBtn(Canvas C)                      //spawns subButtons
{
local int i;
super.LeftBtn(C);

for (i=currentpage*0;i<maxButtons; i++)
  {
    MSBPropertyButton(ListButton[i]).Property="LoadName";
    MSBPropertyButton(ListButton[i]).BtnName=M.SaveCharParts[i];
    MSBPropertyButton(ListButton[i]).Parent=self;
  }
}

event Trigger(Actor Other, Pawn EventInstigator)
{
local MSBBlockCloud cloud;
local int i;
local MSBMasterBlock Master;
local class <MSBVoxelShader> shaderclass;

Master=CC.DrawBrush.Master;
//get rid of old blocks
Master.clearBlocks();
cloud=Level.Game.LoadDataObject(class'MSBBlockCloud',loadName,"CharacterParts");
for (i=0;i<cloud.Col.length;i++)
  {
  Master.S[i]=Spawn(class'MSBsimpleBlock',,,Master.Location);
  Master.S[i].bEdit=true;
  Master.S[i].SetDrawScale(cloud.drawScale[i]);
  Master.S[i].Skins[0]=new() class'ColorModifier';
  ColorModifier(Master.S[i].Skins[0]).Color=cloud.Col[i];
  ColorModifier(Master.S[i].Skins[0]).Material=ColorModifier(Master.Skins[0]).Material;
  Master.AttachToBone(Master.S[Master.S.length-1],'');
  Master.S[i].SetRotation(Master.Rotation);
  Master.S[i].setRelativeLocation(cloud.BlockRelLocation[i]);// >> Master.Rotation);
  Master.S[i].M=Master;
  if (cloud.blockShader[i]!="")
    {
    shaderClass=class<MSBVoxelShader>(DynamicLoadObject(cloud.blockShader[i],class'Class'));
    Master.S[i].shader= new shaderClass;
    Master.S[i].shader.Parent=Master.S[i];
    Log(Master.S[i].shader);
    }
  }
}


DefaultProperties
{
tooltip="Load a CharacterPart"
Mat=Texture'MoviesandboxTextures.Icons.loadPart'
}
