class MSBBrushShader extends MSBVoxelShader;

var Material BrushMat, EyeMat;
var ColorModifier colMat;
var FinalBlend shad;

var int texPointer;
var float currTime,changeTime,thresh;
var bool bBlack;
var float drawScale;
var PlayerController PC;
var vector oldlocation;
var float originalDrawScale;
var bool bHaveDrawScale;
//eyes blinking
var int blinkCount;
var int blinkLevel;

function initShader(color col)
{
super.initShader(col);

colMat=new class'ColorModifier';
colMat.Color=col;
colMat.Color.A=200;
colMat.RenderTwoSided=false;

shad=new class'FinalBlend';
shad.FrameBufferBlending=FB_AlphaModulate_MightNotFogCorrectly;
if (col.G>250)
  {
  colMat.Material=BrushMat;
  shad.FrameBufferBlending=FB_AlphaBlend;
  }
else
  colMat.Material=BrushMat;

originalDrawScale=Parent.DrawScale;
shad.Material=colMat;
shad.TwoSided=true;
shad.ZWrite=false;
shad.ZTest=true;
shad.AlphaTest=true;
Parent.SetDrawScale3D(0.3*Parent.DrawScale3D);

Parent.SetDisplayProperties(STY_Normal,shad,false);
Parent.SetDrawType(DT_Sprite);
}

function Shade(float DeltaTime, color col)
{
super.Shade(DeltaTime,col);

//if (PC==None)
//  PC=Parent.Level.GetLocalPlayerController();
//
//if (Parent.DrawType!=DT_Sprite)
//  {
//  Parent.SetDisplayProperties(STY_Normal,shad,false);
////  Parent.SetDrawType(DT_Sprite);
//  Parent.SetDrawType(DT_Sprite);
//  }
//
//if (currTime>=changeTime && VSize((PC.ViewTarget.Location-Parent.Location)-oldlocation)>thresh)
//  {
//  currTime=0;
//  if (texpointer>2)
//    texpointer=0;
//  if (col.G<250)
//    Parent.SetDrawScale(originalDrawScale+0.3*FRand());
//  else
//    Parent.SetDrawScale(0.3*originalDrawScale+0.1*FRand());
//  }
//
//currTime+=DeltaTime;
//oldlocation=PC.ViewTarget.Location-Parent.Location;
}

defaultproperties
{
BrushMat=Texture'MoviesandboxTextures.Icons.brush2'
EyeMat=Texture'MoviesandboxTextures.Icons.Eye'
changeTime=0.15
drawScale=0.8
thresh=0.02
}
