class MSBselfShader extends MSBVoxelShader;


var TexScaler part;
var Shader fin;
var Texture TestMaterial, TileMask;
var Combiner mixMask;
var float scalefactor, shiftU,shiftV, newDrawScale;

function initShader(color col)
{
super.initShader(col);

part=new class'TexScaler';
part.Material=TestMaterial;
//part.Material=Parent.Skins[0];


//coeffU=TestMaterial.USize/(2*scaleFactor*Parent.DrawScale/0.25);

part.UScale=scaleFactor/newDrawScale;
part.VScale=scaleFactor/newDrawScale;


//depending on Bone, the offset is different, because the trace was different!

//arms
part.UOffset=-Parent.RelativeLocation.Y*16+TestMaterial.USize/2-shiftU;
part.VOffset=-Parent.RelativeLocation.Z*16+TestMaterial.VSize/2-shiftV;

//part.UOffset=-Parent.RelativeLocation.Y*coeff+TestMaterial.USize/2-coeff;

mixMask= new class'Combiner';
mixMask.Material1=part;
mixMask.Material2=tileMask;
mixMask.AlphaOperation=AO_Multiply;

fin=new class'Shader';
fin.Diffuse=mixMask;
//fin.Opacity=part;
fin.Opacity=mixMask;

fin.TwoSided=true;


Parent.Texture=fin;
Parent.SetDrawType(DT_Sprite);

Parent.SetDrawScale3D((Parent.DrawScale3D/(TestMaterial.USize/8))*newDrawScale);
//Log(coeff);
//Log("Block has Texture:"@Parent.Texture);
}

function Shade(float DeltaTime, color col)
{
super.Shade(DeltaTime,col);
}

defaultproperties
{
scaleFactor=32;
shiftU=16
shiftV=16
newDrawScale=2
//TestMaterial=Texture'MoviesandboxTextures.measurement'
TestMaterial=Texture'MoviesandboxTextures.myHead'
TileMask=Texture'MoviesandboxTextures.Icons.Brush2'
}
