//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBSaveFull2DButton extends MSBListButton;

var MSB2DCharEdController CC;
var string saveName;

event PostBeginPlay()
{
local int i;
super.PostBeginPlay();
CC=MSB2DCharEdController(M);

for (i=0;i<M.Save2DCharacters.length+1;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonText";
}



function LeftBtn(Canvas C)                      //spawns subButtons
{
local int i;
super.LeftBtn(C);

for (i=currentpage*8;i<maxButtons;i++)
  {
    MSBPropertyButton(ListButton[i]).Property="saveName";
    MSBPropertyButton(ListButton[i]).Parent=self;
    MSBPropertyButton(ListButton[i]).BtnName="createNew";
    if (i<ButtonList.length-1)
      MSBPropertyButton(ListButton[i]).BtnName=M.Save2DCharacters[i];
  }
}

event Trigger(Actor Other, Pawn EventInstigator)
{
local MSB2DCharacterSave char;
local MSBSpritePawn sP;
local int ani,i;

char=Level.Game.CreateDataObject(class'MSB2DCharacterSave',saveName,"MSB2DChar"$saveName);
sP=CC.myReferencePawn;

char.Idle=CC.States[0].Material;
char.Move=CC.States[1].Material;
for (ani=0;ani<CC.Animations.length;ani++)
  char.Animations[ani]=CC.Animations[ani];

char.headLocation=SP.Head.Location;

if (sP.Head.Head!="")
  char.MatHead=string(SP.Head.MatHead);
char.MatEyes=string(SP.Head.MatEyes);
char.MatEyebrows=string(SP.Head.MatEyebrows);
char.MatMask=string(SP.Head.MatMask);
char.MatMouthOpen=string(SP.Head.MatMouthOpen);
char.MatMaskMouthOpen=string(SP.Head.MatMaskMouthOpen);

Level.Game.SavePackage("MSB2DChar"$saveName);

//update SaveParts List
for (i=0;i<ListButton.Length;i++)
  if (Other==ListButton[i] && i< ListButton.Length)
    M.Save2DCharacters[i]=saveName;

M.SaveGeneralConfig();
}


DefaultProperties
{
tooltip="Save a Full Character"
}
