//-----------------------------------------------------------
//     Grabs a BoneRotation via UDP
//-----------------------------------------------------------
class MSBPoseGetButton extends MSBTwoStepButton;

var string loadName;
var MSBPoseEditor Parent;
var MSBUDPLink myUDP;

event PostBeginPlay()
{
super.PostBeginPlay();
myUDP= spawn (class'MSBUdpLink',self);
myUDP.InitUdpLink(61840);
}



function LeftBtnFinished(Canvas C)                      //spawns subButtons
{
myUDP.Destroy();
super.LeftBtnFinished(C);
}

function Trigger(Actor Other, Pawn EventInstigator)
{
local rotator receivedRot;
receivedRot.Yaw=myUDP.byteData[0]*182;
setBone(receivedRot,7);
}

function setBone(rotator receivedRot, int boneNumber)
{
Parent.Pose.PoseKey[boneNumber].BoneRotation=receivedRot;
Parent.Pose.PoseKey[boneNumber].KeyActor=Parent.PoseActor;
Parent.Pose.PoseKey[boneNumber].changeBoneRotation();
}

DefaultProperties
{
width=64
height=12
BtnName="GetPose"
tooltip="Get a Pose from the PoseTool"
}
