//-----------------------------------------------------------
//  Copyright 2006 Friedrich Kirschner
//-----------------------------------------------------------

class MSBScriptNodeButton extends MSBListButton; //MSBTwoStepTwoWayButton;

var MSBNodeOutButton NodeOut;

var MSBScriptTriggerNode Order;

var bool rHasClickedAgain;
var bool bhideBranch;

var float xDist,yDist, oldMousexPos, oldMouseyPos;

var array<string> Properties;


event PostBeginPlay()
{
Order=Spawn(class'MSBScriptTriggerNode');
NodeOut=Spawn(class'MSBNodeOutButton');
NodeOut.myScript=self;
super.PostBeginPlay();
M.LevelMSBScriptNodes[M.LevelMSBScriptNodes.length]=self;
}

function IsSelected(Canvas C)
{
local int i;

C.SetDrawColor(overlayCol.R,overlayCol.G, overlayCol.B, overlayCol.A);
C.SetPos(xPos,yPos);
if (Mat!=None)
  C.DrawTile(Mat,width,height,0,0,U,V);

for (i=0;i<Mouse.selectedButtons.Length;i++)
  if (Mouse.selectedButtons[i]!=None && Mouse.selectedButtons[i]==self)
    return;
Mouse.selectedButtons[i]=self;
Log("I was added to the list at number "@i);
}

function initButton(Canvas C)
{

xDist=Mouse.xPos-oldMousexPos;
yDist=Mouse.yPos-oldMouseyPos;

oldMousexPos=Mouse.xPos;
oldMouseyPos=Mouse.yPos;

if (bDragged)
  {
  xPos=xPos+xDist;
  yPos=yPos+yDist;
  }
C.FontScaleX=1;
C.FontScaleY=1;

super.initButton(C);

C.SetPos(xPos,yPos);

C.FontScaleX=buttonFontScale;
C.FontScaleY=buttonFontScale;

C.SetDrawColor(textCol.R,textCol.G,textCol.B);
C.DrawText(BtnName);
C.SetDrawColor(col.R,col.G,col.B);

C.FontScaleX=fontScale/1024 * C.ClipX;
C.FontScaleY=fontScale/1024 * C.ClipX;

if (bEnabled)
 {
 if (rHasClicked && Mouse.btnTwo)
   {
   rHasClickedAgain=true;
   RightBtnFinished(C);
   rHasClickedAgain=false;
   }
 }
}

function LeftBtn(Canvas C)
{
local int i;
super.LeftBtn(C);
for (i=0;i<Buttonlist.Length; i++)
  {
   MSBPropertyButton(ListButton[i]).Parent=self;
   MSBPropertyButton(ListButton[i]).Property=Properties[i];
  }
}

function RightBtn(Canvas C)
{
local int i;

super.RightBtn(C);
bDragged=true;
for (i=0;i<Mouse.selectedButtons.Length;i++)
  Mouse.selectedButtons[i].bDragged=true;
}

function RightBtnFinished(Canvas C)
{
local int i;

rHasClicked=false;
//enable all other buttons after second press
for (i=0;i<M.myHud.Overlays.Length-1;i++)
  if (M.myHud.Overlays[i].IsA('MSBGuiOverlay'))
    MSBGuiOverlay(M.myHud.Overlays[i]).bEnabled=true;

Mouse.btnTwo=false;

for (i=0;i<Mouse.selectedButtons.Length;i++)
  Mouse.selectedButtons[i].bDragged=false;

bDragged=false;
}

defaultproperties
{
Col=(R=200,G=255,B=200)

ButtonList[0]="MSBPropertyButtons.MSBPropertyButtonHideLinks";
Properties[0]="HideLinks";
ButtonList[1]="MSBPropertyButtons.MSBPropertyButtonShowLinks";
Properties[1]="ShowLinks";
ButtonList[2]="MSBPropertyButtons.MSBPropertyButtonText";
Properties[2]="BtnName";


widthRel=70
heightRel=18
Mat=Texture'MoviesandboxTextures.Icons.Node'
BtnName="ScriptRoot"
ypos=100
xpos=100
}

