class MSBRDPuppetInputControl extends Actor;

var MSBRagDollPuppet myPuppet;

var MSBUdpLink udpLink;
var () int iPort;   // server port number
var bool bUdpInit;


event PostBeginPlay()
{
super.PostBeginPlay();
if (Owner.IsA('MSBRagdollPuppet'))
  myPuppet=MSBRagdollPuppet(Owner);
}

function initUdp()
{
 iPort=31840+myPuppet.UdpPadCh;
 if (udpLink!=None)
   udpLink.Destroy();
 udpLink=Spawn(class'MSBUdpLink',self);
 udpLink.InitUdpLink(iPort);
 Log("UdpPort initialized to"@iPort);
}

event Trigger(Actor Other,Pawn EventInstigator)
{
local int i, pressedButton;

if (Other.IsA('MSBGuiOverlay'))
  {
  initUdp();
  Log("changed UdpPadChannel in MSBRDPuppetInputControl!");
  }

//udp Gamepad_
if (myPuppet!=None && myPuppet.UdpPadCh>0 && udpLink!=None)
  {
//  buttons and stuff
//  for (i=4;i<24;i++)
//    if (udpLink.byteData[i]>0)
//      {
//      myPuppet.setPawnPose(myPawn.PoseName[i-4]);
//      Log("Set Pose to:"@myPawn.PoseName[i-4]);
//      }

  myPuppet.leftHandLoc.Y=-(udpLink.byteData[0]-128)/4;
  myPuppet.leftHandLoc.Z=(udpLink.byteData[1]-128)/2;
//  myPuppet.rightHandLoc.Y=(udpLink.byteData[3]-128)/4;
//  myPuppet.rightHandLoc.Z=(udpLink.byteData[2]-128)/4;
  }
}

event Destroyed()
{
udpLink.Destroy();
}

defaultproperties
{
DrawType=DT_None
iPort=31840
}
