class MSBPropertyButton3D extends MSBPropertyButton;

var  MSBScriptNode S;
var bool bMouseSelect;

function MouseOver(Canvas C)
{
super.MouseOver(C);

if (Parent.IsA('MSBNodeButton'))
 S=MSBNodeButton(Parent).Order;

C.SetPos(xpos+width,ypos);
if (S!=None)
  C.DrawText(S.GetPropertyText(Property));
else
  C.DrawText(Parent.GetPropertyText(Property));
}

function LeftBtn(Canvas C)
{
super.LeftBtn(C);
M.disableMidLayer();
if (Mouse.selectedActor.Length>0 && Mouse.selectedActor[0]!=Parent)
  {
  bMouseSelect=true;
  LeftBtnFinished(C);
  }
}

function LeftBtnFinished(Canvas C)
{
super.LeftBtnFinished(C);
if (Parent.IsA('MSBNodeButton'))
  {
  if (!bMouseSelect)
    {
    MSBNodeButton(Parent).Order.SetPropertyText(Property, string(Mouse.worldMSBTargetActor));
    Value=string(Mouse.worldMSBTargetActor);
    }
  else
    {
    MSBNodeButton(Parent).Order.SetPropertyText(Property, string(Mouse.selectedActor[0]));
    Value=string(Mouse.selectedActor[0]);
    }
  MSBNodeButton(Parent).Order.SelectText=Value;
  }
else
  {
  Parent.SetPropertyText(Property, string(Mouse.worldMSBTargetActor));
  Value=string(Mouse.worldMSBTargetActor);
  Parent.Trigger(self,None);
  }
M.enableMidLayer();
bMouseSelect=false;
}

defaultproperties
{
tooltip2="Click on Target Actor"
}


