class MSBPropertyButtonDuplicate extends MSBPropertyButton;

var Actor SpawnActor,
          TraceHitActor;

var () vector DebugLocation;
var float TraceLength;

var vector hitNorm,
           traceExt,
           traceEnd;

var vector moveVector;
var vector xAxis,yAxis,zAxis;

var vector floorOffset,
           offset;

var EPhysics oldPhysics;

function LeftBtn (Canvas C)
{
SpawnActor = spawn(Parent.Class,,,Parent.Location+offset);
SpawnActor.Texture=Parent.Texture;
SpawnActor.SetDrawScale3D(Parent.DrawScale3D);
oldPhysics=SpawnActor.Physics;
SpawnActor.SetPhysics(PHYS_None);
Mouse.bHitActors=false;
Log("Spawning:"@SpawnActor);
}

function LeftBtnFinished(Canvas C)
{
super.LeftBtnFinished(C);
SpawnActor.SetPhysics(oldPhysics);
SpawnActor.bCollideWorld=true;
SpawnActor=None;
Mouse.bHitActors=true;
}

function RightBtn(Canvas C)
{
super.RightBtn(C);
if (SpawnActor!=None)
  {
  SpawnActor.Destroy();
  SpawnActor=None;
  }
super.LeftBtnFinished(C);
}

function initButton(Canvas C)
{
super.initButton(C);
if(SpawnActor!=None && Mouse.bShiftDown)
 SpawnActor.SetLocation( Mouse.Mouse3D+floorOffset);
}

defaultproperties
{
offset=(X=10,y=10,Z=10)
tooltip2="Click on Target Actor"
BtnName="Duplicate"
}


