//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonMasterSelect extends MSBPropertyButton3D;

function LeftBtn(Canvas C)
{
local MSBSimpleBlock sB;

super.LeftBtn(C);
foreach AllActors (class'MSBSimpleBlock',sB)
  if (sB!=None)
    sB.bHidden=true;
}

function LeftBtnFinished(Canvas C)
{
local vector gridLoc;
local MSBSimpleBlock sB;

super.LeftBtnFinished(C);
if (Mouse.worldMSBTargetActor.IsA('MSBMasterBlock'))
  {
  MSBBlockBrush(Parent).Master=MSBMasterBlock(Mouse.worldMSBTargetActor);
  gridLoc=Mouse.worldMSBTargetActor.Location;
  M.calculateGrid(gridLoc);
  Parent.SetLocation(gridLoc);
  Parent.SetRotation(Mouse.worldMSBTargetActor.Rotation);
  }

foreach AllActors (class'MSBSimpleBlock',sB)
  if (sB!=None)
    sB.bHidden=false;
}

DefaultProperties
{
tooltip1="Set Master Block"
tooltip2="Select Master Block"
BtnName="Set Bone"
}
