//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonSavePartsList extends MSBPropertyButtonComplex;

var string saveName;

function fillButtonList()
{
local int i;

for (i=0;i<M.SaveCharParts.length+1;i++)
  {
  ButtonName[i]=M.SaveCharParts[i];
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonText";
  ButtonProperty[i]="saveName";
  ButtonName[i]="createNew";
  if (i<M.SaveCharParts.length)
    ButtonName[i]=M.SaveCharParts[i];
  }
}

event Trigger(Actor Other,Pawn EventInstigator)
{
savePart(MSBMasterBlock(Parent),other);
Log("Triggered for saving...");
}

event savePart(MSBMasterBlock Master, actor Other)
{
local MSBBlockCloud cloud;
local int i;

cloud=Level.Game.CreateDataObject(class'MSBBlockCloud',saveName,"CharacterParts");
for (i=0;i<Master.S.length;i++)
  {
  cloud.BlockRelLocation[i]=Master.S[i].RelativeLocation << Master.Rotation;
  Log(Master.S[i].RelativeLocation);
  cloud.Col[i]=ColorModifier(Master.S[i].Skins[0]).Color;
  cloud.drawScale[i]=Master.S[i].DrawScale;
  cloud.drawScale3D[i]=Master.S[i].DrawScale3D;
  if (Master.S[i].shader!=None)
    cloud.blockShader[i]=String(Master.S[i].shader.Class);
  else
    cloud.blockShader[i]="";
  }
Level.Game.SavePackage("CharacterParts");
//update SaveParts List
for (i=0;i<ListButton.Length;i++)
  if (Other==ListButton[i] && i< ListButton.Length)
    M.SaveCharParts[i]=saveName;

M.SaveGeneralConfig();
}

DefaultProperties
{
//width=32
Col=(R=128,G=64,B=64)
maxListSize=10
additionalButtons=1
}
