//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBVoxelEdFullSaveButton extends MSBListButton;


var MSBVoxelEdController CC;
var string saveName;

event PostBeginPlay()
{
local int i;
super.PostBeginPlay();
CC=MSBVoxelEdController(M);

for (i=0;i<M.SaveCharacters.length+1;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonText";


}



function LeftBtn(Canvas C)                      //spawns subButtons
{
local int i;
super.LeftBtn(C);

for (i=currentpage*8;i<maxButtons;i++)
  {
    MSBPropertyButton(ListButton[i]).Property="saveName";
    MSBPropertyButton(ListButton[i]).Parent=self;
    MSBPropertyButton(ListButton[i]).BtnName="createNew";
    if (i<ButtonList.length-1)
      MSBPropertyButton(ListButton[i]).BtnName=M.SaveCharacters[i];
  }
}

event Trigger(Actor Other, Pawn EventInstigator)
{
local MSBVoxelCharacterSave char;
local MSBMasterBlock Master;
local int i,bone, block;

Master=CC.DrawBrush.Master;
char=Level.Game.CreateDataObject(class'MSBVoxelCharacterSave',saveName,"Char"$saveName);

//block/Voxel related
for (bone=0;bone<CC.myReferencePawn.Blocks.length;bone++)
  {
  char.Parts.Insert(bone,1);
  Master=CC.myReferencePawn.Blocks[bone];
  for (block=0;block<Master.S.length;block++)
    {
    char.Parts[bone].BlockRelLocation[block]=Master.S[block].RelativeLocation << Master.Rotation;
    char.Parts[bone].Col[block]=ColorModifier(Master.S[block].Skins[0]).Color;
    char.Parts[bone].drawScale[block]=Master.S[block].DrawScale;
    if (Master.S[block].shader!=None)
      char.Parts[bone].blockShader[block]=String(Master.S[block].shader.Class);
    else
      char.Parts[bone].blockShader[block]="";
    }
  }

//Mouth related
log("Mouth Reference in Controller:"@CC.MouthMaster);
if (CC.FQ!=None && CC.bMouthSpawned)
  {
  char.MouthColor=CC.MouthColor;
  char.MouthMaster=CC.MouthMaster;
  char.MouthMesh=CC.MouthMesh;
  char.MouthRelLocation=CC.MouthRelLocation;
  char.MouthScale=CC.MouthScale;
  char.MouthClass=string(CC.FQ.Class);
  }

Level.Game.SavePackage("Char"$saveName);

//update SaveCharacters List
for (i=0;i<ListButton.Length;i++)
  if (Other==ListButton[i] && i< ListButton.Length)
    M.SaveCharacters[i]=saveName;

M.SaveGeneralConfig();
}


DefaultProperties
{
tooltip="Save a Full Character"
Mat=Texture'MoviesandboxTextures.Icons.savePawn'
}
