//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBVoxelEdPawn extends MSBVoxelPawn;

function setMSBMasterBlocks()
{
local vector C[26];
local int i;

//C[0]=GetBoneCoords('Bip01');

C[1]=vect(2,2,2);            //'Bip01 Pelvis'
C[2]=vect(2,1,1);            //'bip01 Spine'
C[3]=vect(2,1,1);            //'bip01 Spine1'
C[4]=vect(2,1,1);            //'bip01 Spine2'
C[5]=vect(1,1,1);            //'Bip01 Neck'

C[6]=vect(2,2,2);            //'Bip01 R Clavicle');
C[7]=vect(5,2,2);        //'Bip01 R UpperArm');
C[8]=vect(5,1,1);            //'Bip01 R Forearm');
C[9]=vect(2,1,1);            //'Bip01 R Hand');
//C[10]=                     //'Bip01 R Finger');
//C[11]=                     //'Bone_weapon');

C[12]=vect(2,2,2);           //'Bip01 L Clavicle');
C[13]=vect(5,2,2);       //'Bip01 L UpperArm');
C[14]=vect(5,1,1);           //'Bip01 L Forearm');
C[15]=vect(2,1,1);           //'Bip01 L Hand');
//C[16]=                     //'Bip01 L Finger');

C[17]=vect(9,2,2);       //'bip01 R Thigh');
C[18]=vect(10,1,1);          //'Bip01 R Calf');
C[19]=vect(2,2,2);           //'Bip01 R Foot');
C[20]=vect(2,2,2);           //'Bip01 R Toe0');

C[21]=vect(9,2,2);       //'bip01 L Thigh');
C[22]=vect(10,1,1);          //'Bip01 L Calf');
C[23]=vect(2,2,2);           //'Bip01 L Foot');
C[24]=vect(2,2,2);           //'Bip01 L Toe0');

C[25]=vect(4,3,3);           //'Bip01 Head');

for (i=0;i<26;i++)
  {
  if (!(i==0||i==10||i==11||i==16))
    {
    Blocks[i]=Spawn(class'MSBMasterBlock',self,,);
    Blocks[i].BoneNumber=i;
    Blocks[i].P=self;
    Blocks[i].edScale=C[i];
    }
  }
}

function AssignInitialPose();

function clearBlocks()
{
local int i;

for(i=0;i<Blocks.length;i++)
  {
  Blocks[i].clearBlocks();
  Blocks[i].Destroy();
  }
}

DefaultProperties
{
bCollideActors=false
}
